# QRubberBand Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QRubberBand(Shape arg__1, QWidget arg__2)

### Constructor Properties

- prototype: The QRubberBand prototype object
- Line
- Rectangle
- Shape( value )

### Prototype Object Properties

The QRubberBand prototype object inherits properties from the QWidget prototype object and also has the following properties.

- void moveRubberBand(QPoint p)
- void resizeRubberBand(QSize s)
- void setRubberBandGeometry(QRect r)
- Shape shape()

### Instance Properties

QRubberBand objects have no special properties beyond those inherited from the QRubberBand prototype object.